<script setup lang="ts">
import { usePlaylistStore } from '@/stores/playlist'
import { useTagStore } from '@/stores/tag'
import { LockClosedIcon } from '@heroicons/vue/24/solid'

const playlistStore = usePlaylistStore()
const tagStore = useTagStore()
</script>

<template>
  <div class="m-4 text-center flex flex-col gap-3">
    <div class="text-3xl text-center">Mes playlists</div>
    <div>Voici vos playlists sur MyBlindTest.</div>
    <div class="flex flex-row gap-3 justify-center">
      <div class="tooltip" data-tip="A implémenter">
        <!-- TODO créer une playlist -->
        <div class="btn btn-secondary">Créer une playlist vide</div>
      </div>
      <div class="tooltip" data-tip="A implémenter">
        <!-- TODO importer une playlist deezer -->
        <div class="btn btn-secondary">Importer une playlist Deezer</div>
      </div>
    </div>
    <div class="mt-6 flex flex-row flex-wrap gap-4 justify-center">
      <div
        class="card w-64 bg-base-200 hover:bg-base-300 shadow-xl transition duration-200"
        v-for="playlist in playlistStore.playlists"
        :key="playlist.id"
      >
        <div class="card-body justify-center">
          <span class="card-title justify-center">{{ playlist.nom }}</span>
        </div>
      </div>
      <div
        class="card w-64 bg-base-200 hover:bg-base-300 shadow-xl transition duration-200"
        v-for="playlist in playlistStore.dynamicPlaylists"
        :key="playlist.idTag"
      >
        <div class="card-body justify-center">
          <LockClosedIcon class="w-5 absolute top-2 left-2" />
          <span class="card-title justify-center">
            {{
              (
                tagStore.tagsAsMap.get(playlist.idTag)?.nom +
                ' ' +
                (playlist.valeurTag ?? '')
              ).trim()
            }}
          </span>
        </div>
      </div>
    </div>
  </div>
</template>
